"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.envAdd = envAdd;
/* eslint-disable no-await-in-loop */
const error_1 = require("@pnpm/error");
const downloadNodeVersion_1 = require("./downloadNodeVersion");
async function envAdd(opts, params) {
    if (!opts.global) {
        throw new error_1.PnpmError('NOT_IMPLEMENTED_YET', '"pnpm env add <version>" can only be used with the "--global" option currently');
    }
    const failed = [];
    for (const envSpecifier of params) {
        const result = await (0, downloadNodeVersion_1.downloadNodeVersion)(opts, envSpecifier);
        if (!result) {
            failed.push(envSpecifier);
        }
    }
    if (failed.length > 0) {
        throw new error_1.PnpmError('COULD_NOT_RESOLVE_NODEJS', `Couldn't find Node.js version matching ${failed.join(', ')}`);
    }
    return 'All specified Node.js versions were installed';
}
//# sourceMappingURL=envAdd.js.map